## org.apache.commons.collections.functors
Class NotNullPredicate

    java.lang.Object
      org.apache.commons.collections.functors.NotNullPredicate

All Implemented Interfaces:
  Predicate, Serializable

public final class NotNullPredicate
extends Object
implements Predicate, Serializable

Predicate implementation that returns true if the input is not null.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/16 11:47:38 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Predicate` `INSTANCE` Singleton predicate instance

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning true if the object does not equal null.
`static Predicate` `getInstance()` Factory returning the singleton instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Predicate INSTANCE

  Singleton predicate instance

Method Detail

### getInstance

    public static Predicate getInstance()

  Factory returning the singleton instance.

  Returns:
    the singleton instance
  Since:
    Commons Collections 3.1

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning true if the object does not equal null.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the object to evaluate
  Returns:
    true if not null

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.